import asyncio
import discord, time
from discord.ext import commands


async def switch_to_online(app: commands.Bot, expiration: int):
    await app.change_presence(
        status=discord.Status.online,
        activity=discord.Activity(name="⚠️ Time to BeReal. | /subscribe", type=discord.ActivityType.watching),
    )
    await asyncio.sleep(expiration - time.time())
    await switch_to_dnd(app)


async def switch_to_dnd(app: commands.Bot):
    await app.change_presence(
        status=discord.Status.do_not_disturb,
        activity=discord.Activity(name="BeReal. Notifications | /subscribe", type=discord.ActivityType.watching),
    )
